Use WaspTrackAsset
GO

CREATE TABLE [dbo].[address] (
	[address_id] [int] NOT NULL ,
	[table_name] [nvarchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[address_type_id] [int] NOT NULL ,
	[record_type] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[address1] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[address2] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[address3] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[address4] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[city] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[state] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[postal_code] [varchar] (10) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[country] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[mail_stop] [varchar] (20) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[record_status] [record_status_type] NOT NULL ,
	CONSTRAINT [PK_address] PRIMARY KEY  CLUSTERED 
	(
		[address_id],
		[table_name],
		[address_type_id],
		[record_type]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO





CREATE TABLE [dbo].[app_options] (
	[user_id] [int] NULL ,
	[code] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[type] [varchar] (20) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[name] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[description] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[tool_tip] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[flag] [wtbool] NULL ,
	[admin] [wtbool] NULL ,
	[option_value] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[option_section] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[record_status] [record_status_type] NOT NULL CONSTRAINT [DF_app_options_record_status] DEFAULT (1),
	[company_id] [int] NOT NULL 
) ON [PRIMARY]
GO

CREATE  INDEX [IX_app_options] ON [dbo].[app_options]([code], [record_status], [company_id]) ON [PRIMARY]



CREATE TABLE [dbo].[attachments] (
	[attach_id] [int] NOT NULL ,
	[attach_type] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[file_data_type] [int] NOT NULL CONSTRAINT [DF_attachments_file_data_type] DEFAULT (0),
	[file_name] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[file_data] [image] NULL ,
	[is_default] [wtbool] NOT NULL CONSTRAINT [DF_attachments_is_default] DEFAULT ('F'),
	[record_status] [record_status_type] NOT NULL CONSTRAINT [DF_attachments_record_status] DEFAULT (1),
	[company_id] [int] NOT NULL ,
	CONSTRAINT [PK_attachments] PRIMARY KEY  CLUSTERED 
	(
		[attach_id],
		[attach_type],
		[file_name]
	)  ON [PRIMARY] 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [dbo].[auto_numbers] (
	[object_type] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[company_id] [int] NOT NULL ,
	[next_id] [numeric](30, 0) NULL CONSTRAINT [DF_auto_numbers_netxt_id] DEFAULT (0),
	CONSTRAINT [PK_auto_numbers] PRIMARY KEY  CLUSTERED 
	(
		[object_type],
		[company_id]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[category] (
	[category_id] [int] IDENTITY (1000, 1) NOT NULL ,
	[description] [description_type] NULL ,
	[record_status] [record_status_type] NOT NULL ,
	[company_id] [int] NOT NULL ,
	CONSTRAINT [PK_category] PRIMARY KEY  CLUSTERED 
	(
		[category_id]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[company_info] (
	[company_id] [int] NOT NULL ,
	[company] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[email] [varchar] (250) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[website] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[record_status] [record_status_type] NOT NULL ,
	CONSTRAINT [PK_companyinfo] PRIMARY KEY  CLUSTERED 
	(
		[company_id]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[condition] (
	[condition_id] [int] IDENTITY (1000, 1) NOT NULL ,
	[description] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[record_status] [record_status_type] NOT NULL ,
	CONSTRAINT [PK_condition] PRIMARY KEY  CLUSTERED 
	(
		[condition_id]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[customer] (
	[customer_id] [int] IDENTITY (1000, 1) NOT NULL ,
	[customer_number] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[name] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[company_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[email] [varchar] (250) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[department] [varchar] (20) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[allow_shorting] [wtbool] NULL CONSTRAINT [DF_customer_allow_shorting] DEFAULT ('T'),
	[date_added] [datetime] NULL ,
	[usrdefdate1] [datetime] NULL ,
	[usrdefdate2] [datetime] NULL ,
	[usrdefdate3] [datetime] NULL ,
	[usrdefdate4] [datetime] NULL ,
	[usrdefdate5] [datetime] NULL ,
	[usrdefnumber1] [decimal](19, 4) NULL ,
	[usrdefnumber2] [decimal](19, 4) NULL ,
	[usrdefnumber3] [decimal](19, 4) NULL ,
	[usrdefnumber4] [decimal](19, 4) NULL ,
	[usrdefnumber5] [decimal](19, 4) NULL ,
	[usrdeftext1] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext2] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext3] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext4] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext5] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext6] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext7] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext8] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext9] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext10] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[record_status] [record_status_type] NOT NULL ,
	[company_id] [int] NOT NULL ,
	[update_user_id] [int] NULL ,
	[list_id] [qb_list_id] NULL ,
	[date_updated] [datetime] NULL ,
	CONSTRAINT [PK_customer] PRIMARY KEY  CLUSTERED 
	(
		[customer_id]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[departments] (
	[department_id] [int] IDENTITY (1, 1) NOT NULL ,
	[code] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[name] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[record_status] [record_status_type] NOT NULL ,
	[company_id] [int] NOT NULL ,
	[date_updated] [datetime] NULL ,
	CONSTRAINT [PK_departments] PRIMARY KEY  CLUSTERED 
	(
		[department_id]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO




CREATE TABLE [dbo].[asset_transactions] (
	[transaction_id] [int] IDENTITY (1, 1) NOT NULL ,
	[trans_type] [int] NOT NULL ,
	[asset_id] [int] NOT NULL ,
	[location_id] [int] NOT NULL ,
	[other_location_id] [int] NULL ,
	[user_id] [int] NOT NULL ,
	[department_id] [int] NOT NULL CONSTRAINT [DF_asset_transactions_department_id] DEFAULT (0),
	[reason_id] [int] NULL ,
	[action_type] [int] NULL ,
	[entry_date] [datetime] NULL ,
	[trans_date] [datetime] NULL ,
	[date_acquired] [datetime] NULL ,
	[maint_date] [datetime] NULL ,
	[maint_complete] [wtbool] NULL ,
	[condition_id] [int] NULL CONSTRAINT [DF_asset_transactions_condition_id] DEFAULT (0),
	[cost] [decimal](18, 0) NULL ,
	[customer_id] [int] NULL ,
	[employee_id] [int] NULL ,
	[supplier_id] [int] NULL ,
	[serial_number] [varchar] (25) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[record_status] [record_status_type] NOT NULL ,
	[record_source] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[company_id] [int] NOT NULL ,
	CONSTRAINT [PK_asset_transactions] PRIMARY KEY  CLUSTERED 
	(
		[transaction_id]
	)  ON [PRIMARY] ,
	CONSTRAINT [FK_asset_transactions_departments] FOREIGN KEY 
	(
		[department_id]
	) REFERENCES [dbo].[departments] (
		[department_id]
	)
) ON [PRIMARY]
GO




CREATE TABLE [dbo].[depreciation_methods] (
	[type_id] [int] NOT NULL ,
	[description] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	CONSTRAINT [PK_depreciation_methods] PRIMARY KEY  CLUSTERED 
	(
		[type_id]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO




CREATE TABLE [dbo].[asset_class] (
	[class_id] [int] IDENTITY (1, 1) NOT NULL ,
	[class_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[depreciation_method] [int] NOT NULL CONSTRAINT [DF_asset_class_depreciation_method] DEFAULT (0),
	[asset_life_years] [int] NOT NULL CONSTRAINT [DF_asset_class_asset_life_years] DEFAULT (0),
	[asset_life_months] [int] NOT NULL CONSTRAINT [DF_asset_class_asset_life_months] DEFAULT (0),
	[depreciation_custom_percent] [decimal](18, 4) NOT NULL CONSTRAINT [DF_asset_class_depreciation_custom_percent] DEFAULT (0.0),
	[deprec_to_salvage] [wtbool] NOT NULL CONSTRAINT [DF_asset_class_deprec_to_salvage]  DEFAULT ('T'),
	[record_status] [record_status_type] NOT NULL CONSTRAINT [DF_asset_class_record_status] DEFAULT (1),
	[company_id] [int] NOT NULL ,
	CONSTRAINT [PK_asset_class] PRIMARY KEY  CLUSTERED 
	(
		[class_id]
	)  ON [PRIMARY] ,
	CONSTRAINT [FK_asset_class_depreciation_methods] FOREIGN KEY 
	(
		[depreciation_method]
	) REFERENCES [dbo].[depreciation_methods] (
		[type_id]
	)
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[contracts] (
	[contract_id] [int] IDENTITY (1, 1) NOT NULL ,
	[contract_number] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[contract_description] [nvarchar] (1000) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[internal_contact] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[vendor_id] [int] NOT NULL ,
	[begin_date] [datetime] NULL ,
	[end_date] [datetime] NULL ,
	[num_licenses] [int] NOT NULL ,
	[is_software] [wtbool] NOT NULL ,
	[no_end_date] [wtbool] NOT NULL ,
	[cost] [money] NULL ,
	[linked_reference] [nvarchar](1000) COLLATE SQL_LATIN1_General_CP1_CI_AS NULL ,
	[record_status] [record_status_type] NOT NULL ,
	[company_id] [int] NOT NULL ,
	[usrdefdate1] [datetime] NULL ,
	[usrdefdate2] [datetime] NULL ,
	[usrdefdate3] [datetime] NULL ,
	[usrdefdate4] [datetime] NULL ,
	[usrdefdate5] [datetime] NULL ,
	[usrdefnumber1] [decimal](19, 4) NULL ,
	[usrdefnumber2] [decimal](19, 4) NULL ,
	[usrdefnumber3] [decimal](19, 4) NULL ,
	[usrdefnumber4] [decimal](19, 4) NULL ,
	[usrdefnumber5] [decimal](19, 4) NULL ,
	[usrdeftext1] [nvarchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext2] [nvarchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext3] [nvarchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext4] [nvarchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext5] [nvarchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext6] [nvarchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext7] [nvarchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext8] [nvarchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext9] [nvarchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext10] [nvarchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	CONSTRAINT [PK_contracts] PRIMARY KEY  CLUSTERED 
	(
		[contract_id]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO






CREATE TABLE [asset_contract] (
	[asset_id] [int] NOT NULL ,
	[contract_id] [int] NOT NULL ,
	[record_added] [datetime] NOT NULL ,
	[record_removed] [datetime] NULL ,
	[record_status] [record_status_type] NOT NULL ,
	[company_id] [int] NOT NULL ,
	CONSTRAINT [PK_asset_contract] PRIMARY KEY  CLUSTERED 
	(
		[asset_id],
		[contract_id],
		[record_added]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO



CREATE TABLE [dbo].[asset_linking_indicator] (
	[linking_indicator] [int] NOT NULL ,
	[linking_description] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	CONSTRAINT [PK_asset_linking_indicator] PRIMARY KEY  CLUSTERED 
	(
		[linking_indicator]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO





CREATE TABLE [dbo].[employees] (
	[employee_id] [int] IDENTITY (1, 1) NOT NULL ,
	[employee_number] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[last_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[first_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[title] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[department_id] [int] NOT NULL CONSTRAINT [DF_employees_department_id] DEFAULT (0),
	[manager_id] [int] NULL CONSTRAINT [DF_employees_manager_id] DEFAULT (0),
	[email] [varchar] (250) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[date_added] [datetime] NULL CONSTRAINT [DF_employees_date_added] DEFAULT (getdate()),
	[usrdefdate1] [datetime] NULL ,
	[usrdefdate2] [datetime] NULL ,
	[usrdefdate3] [datetime] NULL ,
	[usrdefdate4] [datetime] NULL ,
	[usrdefdate5] [datetime] NULL ,
	[usrdefnumber1] [decimal](19, 4) NULL ,
	[usrdefnumber2] [decimal](19, 4) NULL ,
	[usrdefnumber3] [decimal](19, 4) NULL ,
	[usrdefnumber4] [decimal](19, 4) NULL ,
	[usrdefnumber5] [decimal](19, 4) NULL ,
	[usrdeftext1] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext2] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext3] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext4] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext5] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext6] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext7] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext8] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext9] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext10] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[company_id] [int] NOT NULL ,
	[record_status] [record_status_type] NOT NULL ,
	[date_updated] [datetime] NULL ,
	CONSTRAINT [PK_employee] PRIMARY KEY  CLUSTERED 
	(
		[employee_id]
	)  ON [PRIMARY] ,
	CONSTRAINT [FK_employees_departments] FOREIGN KEY 
	(
		[department_id]
	) REFERENCES [dbo].[departments] (
		[department_id]
	)
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[find_meta] (
	[rec_id] [int] IDENTITY (1, 1) NOT NULL ,
	[form_id] [int] NOT NULL ,
	[user_id] [int] NOT NULL ,
	[company_id] [int] NOT NULL ,
	[selected_form_id] [int] NULL ,
	[field_id] [int] NULL ,
	[device_name] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[field_value] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[filter] [varchar] (6800) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[whole_word_flag] [wtbool] NULL ,
	[advanced_flag] [wtbool] NOT NULL CONSTRAINT [DF_find_meta_advanced_flag] DEFAULT ('F'),
	[find_all_flag] [wtbool] NULL ,
	CONSTRAINT [PK_find_meta] PRIMARY KEY  CLUSTERED 
	(
		[rec_id]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[form] (
	[form_id] [int] NOT NULL ,
	[form_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[list_flag] [wtbool] NULL ,
	[record_status] [record_status_type] NOT NULL ,
	[company_id] [int] NOT NULL ,
	CONSTRAINT [PK_form] PRIMARY KEY  CLUSTERED 
	(
		[form_id]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[form_field_meta] (
	[form_id] [int] NOT NULL ,
	[control] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[field] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[image_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[db_field] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[label] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[tool_tip] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[visible] [wtbool] NULL ,
	[required] [wtbool] NULL ,
	[user_editable] [wtbool] NULL CONSTRAINT [DF_form_field_meta_user_editable] DEFAULT ('T'),
	[field_length] [int] NULL ,
	[default_label] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[default_tool_tip] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[default_visible] [wtbool] NULL ,
	[default_required] [wtbool] NULL ,
	[default_field_length] [int] NULL ,
	[data_type] [int] NULL ,
	[send_to_palm] [wtbool] NULL ,
	[sort_order] [int] NULL ,
	[record_status] [record_status_type] NULL ,
	[company_id] [int] NULL ,
	[should_find] [char] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL CONSTRAINT [DF_form_field_meta_should_find] DEFAULT ('T'),
	[should_export] [char] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL CONSTRAINT [DF_form_field_meta_should_export] DEFAULT (1),
	[should_import] [char] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL CONSTRAINT [DF_form_field_meta_should_import]  DEFAULT (1),
	[usrdef_allow_user_key_in_value] [char](1) COLLATE SQL_Latin1_General_CP1_CI_AS NULL CONSTRAINT [DF_form_field_meta_usrdef_allow_user_key_in_value]  DEFAULT ('T'),
	CONSTRAINT [PK_form_field_meta] PRIMARY KEY  CLUSTERED 
	(
		[form_id],
		[field]
	)  ON [PRIMARY] ,
	CONSTRAINT [FK_form_field_meta_form] FOREIGN KEY 
	(
		[form_id]
	) REFERENCES [dbo].[form] (
		[form_id]
	)
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[image] (
	[image_id] [int] NOT NULL ,
	[image_label] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[image] [image] NULL ,
	CONSTRAINT [PK_image] PRIMARY KEY  CLUSTERED 
	(
		[image_id]
	)  ON [PRIMARY] 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [dbo].[import_export_errors] (
	[id] [int] IDENTITY (1, 1) NOT NULL ,
	[process_id] [int] NOT NULL ,
	[original_data] [varchar] (1000) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[error_number] [varchar] (20) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[error_description] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[internal_id] [int] NULL ,
	[dvalue] [decimal](18, 4) NULL ,
	CONSTRAINT [PK_import_export_errors] PRIMARY KEY  CLUSTERED 
	(
		[id]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO





CREATE TABLE [dbo].[label_names] (
	[lbl_id] [int] NULL ,
	[lbl_type] [int] NULL ,
	[lbl_display_order] [int] NULL ,
	[lbl_name] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[lbl_file_name] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[lbl_default_name] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[lbl_tool_tips] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[lbl_image_name] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY]
GO





CREATE TABLE [dbo].[sites] (
	[site_id] [int] IDENTITY (1, 1) NOT NULL ,
	[site_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[description] [description_type] NULL ,
	[usrdefdate1] [datetime] NULL ,
	[usrdefdate2] [datetime] NULL ,
	[usrdefdate3] [datetime] NULL ,
	[usrdefdate4] [datetime] NULL ,
	[usrdefdate5] [datetime] NULL ,
	[usrdefnumber1] [decimal](19, 4) NULL ,
	[usrdefnumber2] [decimal](19, 4) NULL ,
	[usrdefnumber3] [decimal](19, 4) NULL ,
	[usrdefnumber4] [decimal](19, 4) NULL ,
	[usrdefnumber5] [decimal](19, 4) NULL ,
	[usrdeftext1] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext2] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext3] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext4] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext5] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext6] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext7] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext8] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext9] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext10] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[record_status] [record_status_type] NOT NULL ,
	[company_id] [int] NOT NULL ,
	[update_user_id] [int] NULL ,
	[date_updated] [datetime] NULL ,
	CONSTRAINT [PK_sites] PRIMARY KEY  CLUSTERED 
	(
		[site_id]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[location] (
	[location_id] [int] IDENTITY (1, 1) NOT NULL ,
	[site_id] [int] NULL ,
	[description] [description_type] NULL ,
	[code] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[default_location] [wtbool] NULL ,
	[usrdefdate1] [datetime] NULL ,
	[usrdefdate2] [datetime] NULL ,
	[usrdefdate3] [datetime] NULL ,
	[usrdefdate4] [datetime] NULL ,
	[usrdefdate5] [datetime] NULL ,
	[usrdefnumber1] [decimal](19, 4) NULL ,
	[usrdefnumber2] [decimal](19, 4) NULL ,
	[usrdefnumber3] [decimal](19, 4) NULL ,
	[usrdefnumber4] [decimal](19, 4) NULL ,
	[usrdefnumber5] [decimal](19, 4) NULL ,
	[usrdeftext1] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext2] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext3] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext4] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext5] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext6] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext7] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext8] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext9] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext10] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[record_status] [record_status_type] NOT NULL ,
	[company_id] [int] NOT NULL ,
	[update_user_id] [int] NULL ,
	[date_updated] [datetime] NULL ,
	CONSTRAINT [PK_location] PRIMARY KEY  CLUSTERED 
	(
		[location_id]
	)  ON [PRIMARY] ,
	CONSTRAINT [FK_location_sites] FOREIGN KEY 
	(
		[site_id]
	) REFERENCES [dbo].[sites] (
		[site_id]
	)
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[transfer_map] (
	[map_id] [int] IDENTITY (1, 1) NOT NULL ,
	[name] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[record_type] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[record_status] [record_status_type] NOT NULL ,
	[company_id] [int] NOT NULL ,
	CONSTRAINT [PK_transfer_map] PRIMARY KEY  CLUSTERED 
	(
		[map_id]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO



CREATE TABLE [dbo].[maintenance_types] (
	[maintenance_id] [int] IDENTITY (1, 1) NOT NULL ,
	[maint_shortname_desc] [nvarchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[date_updated] [datetime] NOT NULL ,
	[record_status] [record_status_type] NOT NULL ,
	[company_id] [int] NOT NULL ,
	CONSTRAINT [PK_maintenance_types] PRIMARY KEY  CLUSTERED 
	(
		[maintenance_id]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO



CREATE TABLE [dbo].[manufacturer] (
	[manufacturer_id] [int] IDENTITY (1000, 1) NOT NULL ,
	[name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[email] [varchar] (250) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[website] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[contact_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdefdate1] [datetime] NULL ,
	[usrdefdate2] [datetime] NULL ,
	[usrdefdate3] [datetime] NULL ,
	[usrdefdate4] [datetime] NULL ,
	[usrdefdate5] [datetime] NULL ,
	[usrdefnumber1] [decimal](19, 4) NULL ,
	[usrdefnumber2] [decimal](19, 4) NULL ,
	[usrdefnumber3] [decimal](19, 4) NULL ,
	[usrdefnumber4] [decimal](19, 4) NULL ,
	[usrdefnumber5] [decimal](19, 4) NULL ,
	[usrdeftext1] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext2] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext3] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext4] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext5] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext6] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext7] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext8] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext9] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext10] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[record_status] [record_status_type] NOT NULL ,
	[company_id] [int] NULL ,
	[date_updated] [datetime] NULL ,
	CONSTRAINT [PK_manufacturer] PRIMARY KEY  CLUSTERED 
	(
		[manufacturer_id]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[supplier] (
	[supplier_id] [int] IDENTITY (1000, 1) NOT NULL ,
	[supplier_number] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[email] [varchar] (250) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[website] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[contact_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdefdate1] [datetime] NULL ,
	[usrdefdate2] [datetime] NULL ,
	[usrdefdate3] [datetime] NULL ,
	[usrdefdate4] [datetime] NULL ,
	[usrdefdate5] [datetime] NULL ,
	[usrdefnumber1] [decimal](19, 4) NULL ,
	[usrdefnumber2] [decimal](19, 4) NULL ,
	[usrdefnumber3] [decimal](19, 4) NULL ,
	[usrdefnumber4] [decimal](19, 4) NULL ,
	[usrdefnumber5] [decimal](19, 4) NULL ,
	[usrdeftext1] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext2] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext3] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext4] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext5] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext6] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext7] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext8] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext9] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext10] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[record_status] [record_status_type] NOT NULL ,
	[company_id] [int] NULL ,
	[update_user_id] [int] NULL ,
	[list_id] [qb_list_id] NULL ,
	[date_updated] [datetime] NULL ,
	CONSTRAINT [PK_supplier] PRIMARY KEY  CLUSTERED 
	(
		[supplier_id]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO



CREATE TABLE [dbo].[item] (
	[item_id] [int] IDENTITY (1, 1) NOT NULL ,
	[item_number] [varchar] (31) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[description] [description_type] NULL ,
	[class_id] [int] NOT NULL CONSTRAINT [DF_item_class_id] DEFAULT (0),
	[default_location_id] [int] NOT NULL CONSTRAINT [DF_item_default_location_id] DEFAULT (0),
	[cost] [money] NULL ,
	[avgcost] [money] NULL ,
	[manufacturer_id] [int] NOT NULL CONSTRAINT [DF_item_manufacturer_id] DEFAULT (0),
	[category_id] [int] NOT NULL CONSTRAINT [DF_item_category_id] DEFAULT (0),
	[model] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[unit_of_measure] [varchar] (10) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[reorder_qty] [decimal](15, 4) NULL ,
	[alt_item_number] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[linked_file] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[list_price] [money] NULL ,
	[sale_price] [money] NULL ,
	[supplier_id] [int] NOT NULL CONSTRAINT [DF_item_supplier_id] DEFAULT (0),
	[manager] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[checkout_duration] [int] NULL ,
	[lead_time] [int] NULL,
	[width] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[height] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[length] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[dimension_unit] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[weight] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[weight_unit] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdefdate1] [datetime] NULL ,
	[usrdefdate2] [datetime] NULL ,
	[usrdefdate3] [datetime] NULL ,
	[usrdefdate4] [datetime] NULL ,
	[usrdefdate5] [datetime] NULL ,
	[usrdefnumber1] [decimal](19, 4) NULL ,
	[usrdefnumber2] [decimal](19, 4) NULL ,
	[usrdefnumber3] [decimal](19, 4) NULL ,
	[usrdefnumber4] [decimal](19, 4) NULL ,
	[usrdefnumber5] [decimal](19, 4) NULL ,
	[usrdeftext1] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext2] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext3] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext4] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext5] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext6] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext7] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext8] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext9] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext10] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[record_status] [record_status_type] NOT NULL ,
	[company_id] [int] NULL ,
	[date_updated] [datetime] NULL ,
	[linked_reference] [nvarchar](1000) COLLATE SQL_LATIN1_General_CP1_CI_AS NULL ,
	CONSTRAINT [PK_item] PRIMARY KEY  CLUSTERED 
	(
		[item_id]
	)  ON [PRIMARY] ,
	CONSTRAINT [FK_item_asset_class] FOREIGN KEY 
	(
		[class_id]
	) REFERENCES [dbo].[asset_class] (
		[class_id]
	),
	CONSTRAINT [FK_item_category] FOREIGN KEY 
	(
		[category_id]
	) REFERENCES [dbo].[category] (
		[category_id]
	),
	CONSTRAINT [FK_item_manufacturer] FOREIGN KEY 
	(
		[manufacturer_id]
	) REFERENCES [dbo].[manufacturer] (
		[manufacturer_id]
	),
	CONSTRAINT [FK_item_supplier] FOREIGN KEY 
	(
		[supplier_id]
	) REFERENCES [dbo].[supplier] (
		[supplier_id]
	)
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[asset] (
	[asset_id] [int] IDENTITY (1, 1) NOT NULL ,
	[asset_tag] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[serial_number] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[item_id] [int] NOT NULL ,
	[department_id] [int] NOT NULL CONSTRAINT [DF_asset_department_id] DEFAULT (0),
	[purchase_date] [datetime] NULL ,
	[purchase_cost] [money] NULL CONSTRAINT [DF_asset_purchase_cost] DEFAULT (0),
	[salvage_value] [money] NULL CONSTRAINT [DF_asset_salvage_value] DEFAULT (0),
	[condition_id] [int] NOT NULL CONSTRAINT [DF_asset_condition_id] DEFAULT (0),
	[location_id] [int] NULL ,
	[depreciation_begin_date] [datetime] NULL ,
	[depreciation_end_date] [datetime] NULL ,
	[last_depreciation_date] [datetime] NULL ,
	[total_depreciation] [money] NULL CONSTRAINT [DF_asset_total_depreciation] DEFAULT (0),
	[current_depreciation] [money] NULL CONSTRAINT [DF_asset_current_depreciation] DEFAULT (0),
	[depreciated_value] [money] NULL CONSTRAINT [DF_asset_depreciated_value] DEFAULT (0),
	[should_depreciate] [wtbool] NULL ,
	[po] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[warranty_begin_date] [datetime] NULL ,
	[warranty_end_date] [datetime] NULL ,
	[warranty_provider] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[is_disposed] [wtbool] NULL CONSTRAINT [DF_asset_is_disposed] DEFAULT ('F'),
	[is_checked_out] [wtbool] NULL CONSTRAINT [DF_asset_is_checked_out] DEFAULT ('F'),
	[last_audit_date] [datetime] NOT NULL CONSTRAINT [DF_asset_last_audit_date] DEFAULT (1 / 1 / 1800),
	[parent_id] [int] NOT NULL CONSTRAINT [DF_asset_parent_id] DEFAULT (0),
	[transact_as_whole] [wtbool] NOT NULL CONSTRAINT [DF_asset_transact_as_whole] DEFAULT ('T'),
	[linking_indicator] [int] NOT NULL CONSTRAINT [DF_asset_linking_indicator] DEFAULT (0),
	[linking_is_child_checked_out] [wtbool] NOT NULL CONSTRAINT [DF_asset_linking_is_child_checked_out] DEFAULT ('F'),
	[usrdefdate1] [datetime] NULL ,
	[usrdefdate2] [datetime] NULL ,
	[usrdefdate3] [datetime] NULL ,
	[usrdefdate4] [datetime] NULL ,
	[usrdefdate5] [datetime] NULL ,
	[usrdefnumber1] [decimal](19, 4) NULL ,
	[usrdefnumber2] [decimal](19, 4) NULL ,
	[usrdefnumber3] [decimal](19, 4) NULL ,
	[usrdefnumber4] [decimal](19, 4) NULL ,
	[usrdefnumber5] [decimal](19, 4) NULL ,
	[usrdeftext1] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext2] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext3] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext4] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext5] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext6] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext7] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext8] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext9] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[usrdeftext10] [varchar] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[record_status] [record_status_type] NOT NULL ,
	[company_id] [int] NULL ,
	[date_updated] [datetime] NULL ,
	[asset_description] [description_type] NULL ,
	[manufacturer_id] [int] NOT NULL DEFAULT (0),
	[model] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
	[supplier_id] [int] NOT NULL DEFAULT (0) ,
	[checkout_duration] [int] NULL,
	[lead_time] [int] NULL,
	[linked_reference] [nvarchar](1000) COLLATE SQL_LATIN1_General_CP1_CI_AS NULL ,
	CONSTRAINT [PK_asset] PRIMARY KEY  CLUSTERED 
	(
		[asset_id]
	)  ON [PRIMARY] ,
	CONSTRAINT [FK_asset_condition] FOREIGN KEY 
	(
		[condition_id]
	) REFERENCES [dbo].[condition] (
		[condition_id]
	),
	CONSTRAINT [FK_asset_departments] FOREIGN KEY 
	(
		[department_id]
	) REFERENCES [dbo].[departments] (
		[department_id]
	),
	CONSTRAINT [FK_asset_item] FOREIGN KEY 
	(
		[item_id]
	) REFERENCES [dbo].[item] (
		[item_id]
	),
	CONSTRAINT [FK_asset_location] FOREIGN KEY 
	(
		[location_id]
	) REFERENCES [dbo].[location] (
		[location_id]
	)
) ON [PRIMARY]
GO


if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[trAssetDateUpdated]') and OBJECTPROPERTY(id, N'IsTrigger') = 1)
drop trigger [dbo].[trAssetDateUpdated]
GO


SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO


CREATE TRIGGER trAssetDateUpdated ON dbo.asset
FOR INSERT, UPDATE 
AS
	update asset set date_updated = getdate() where asset_id in (select asset_id from inserted)


GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO


--exec sp_addextendedproperty N'MS_Description', N'Asset linking indicator, 1:has parent, 2:has child, 3:has both, 0:not linked.', N'user', N'dbo', N'table', N'asset', N'column', N'linking_indicator'


GO







CREATE TABLE [dbo].[mobile_data_snapshot] (
	[device_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[table_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[rec_id] [int] NOT NULL ,
	[last_download_time] [datetime] NOT NULL ,
	[company_id] [int] NULL 
) ON [PRIMARY]
GO

 CREATE  INDEX [IX_mobile_data_snapshot] ON [dbo].[mobile_data_snapshot]([device_name], [table_name], [rec_id], [company_id]) ON [PRIMARY]


CREATE TABLE [dbo].[mobile_data_unprocessed] (
	[id] [int] IDENTITY (1, 1) NOT NULL ,
	[device_type] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[device_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[data_type] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[mobile_data] [varchar] (1000) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[data_error] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[transaction_time] [datetime] NULL ,
	[upload_time] [datetime] NOT NULL ,
	[company_id] [int] NOT NULL ,
	[record_status] [record_status_type] NOT NULL CONSTRAINT [DF_mobile_data_unprocessed_record_status] DEFAULT (1),
	CONSTRAINT [PK_mobile_data_unprocessed] PRIMARY KEY  CLUSTERED 
	(
		[id]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[notes] (
	[note_id] [int] NOT NULL ,
	[table_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[note_text] [text] COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[note_date] [datetime] NOT NULL CONSTRAINT [DF_notes_note_date] DEFAULT (getdate()),
	[note_user_id] [int] NOT NULL CONSTRAINT [DF_notes_note_user_id] DEFAULT (0),
	[record_status] [record_status_type] NOT NULL ,
	[company_id] [int] NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO


CREATE TABLE [dbo].[phone] (
	[phone_id] [int] NOT NULL ,
	[table_name] [nvarchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[phone_type_id] [int] NOT NULL ,
	[record_type] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[phone_number] [phone_type] NULL ,
	[extension] [varchar] (10) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[record_status] [record_status_type] NOT NULL ,
	CONSTRAINT [PK_phone] PRIMARY KEY  CLUSTERED 
	(
		[phone_id],
		[table_name],
		[phone_type_id],
		[record_type]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[reasons] (
	[reason_id] [int] IDENTITY (1, 1) NOT NULL ,
	[sort_order] [int] NULL ,
	[description] [varchar] (1000) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[company_id] [int] NOT NULL ,
	[record_status] [record_status_type] NOT NULL ,
	[date_updated] [datetime] NULL ,
	CONSTRAINT [PK_reasons] PRIMARY KEY  CLUSTERED 
	(
		[reason_id]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[recent_values] (
	[id] [int] IDENTITY (1, 1) NOT NULL ,
	[user_id] [int] NOT NULL ,
	[form_id] [int] NULL ,
	[code] [varchar] (20) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[recent_id] [int] NULL ,
	[recent_value] [varchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[recent_date] [datetime] NULL CONSTRAINT [DF_recent_values_recent_date] DEFAULT (getdate()),
	CONSTRAINT [PK_recent_values] PRIMARY KEY  CLUSTERED 
	(
		[id]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[record_status] (
	[status_id] [smallint] NOT NULL ,
	[description] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[report_filters] (
	[rpt_id] [int] NOT NULL ,
	[rpt_filter_index] [int] NOT NULL ,
	[rpt_filter_name] [char] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[rpt_filter_name_show] [char] (100) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[report_hidden_fields] (
	[hidden_fields] [char] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[report_label_types] (
	[type_id] [int] NULL ,
	[type_display_order] [int] NULL ,
	[type_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[type_default_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[report_labels] (
	[rpt_id] [int] NULL ,
	[db_field_report] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[rpt_label] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[rpt_label2] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[form_id] [int] NULL ,
	[db_field] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[field] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[data_type] [int] NULL CONSTRAINT [DF_report_labels_data_type]  DEFAULT ((1))
) ON [PRIMARY]
GO
--EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'0 - bool, 1 - int, 2 - string, 3 - datetime' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'report_labels', @level2type=N'COLUMN',@level2name=N'data_type'
GO

CREATE TABLE [dbo].[report_names] (
	[rpt_id] [int] NULL ,
	[rpt_type] [int] NULL ,
	[rpt_display_order] [int] NULL ,
	[rpt_name] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[rpt_file_name] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[rpt_default_name] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[rpt_filter] [wtbool] NULL ,
	[rpt_show_dialog] [wtbool] NULL ,
	[rpt_tool_tips] [nvarchar] (255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[rpt_orientation] [nvarchar] (1) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL DEFAULT ('P')
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[schedule] (
	[schedule_id] [int] NOT NULL IDENTITY (1,1),
	[asset_id] [int] NOT NULL,
	[maint_description] [description_type] NULL,
	[schedule_type] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[occurs_type] [int] NOT NULL ,
	[occurs_every] [int] NOT NULL CONSTRAINT [DF_schedule_occurs_every] DEFAULT (0),
	[days_of_week] [varchar] (7) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[day_of_month] [int] NULL CONSTRAINT [DF_schedule_day_of_month] DEFAULT (0),
	[monthly_type] [int] NULL ,
	[schedule_date] [datetime] NULL ,
	[assigned_to] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[record_status] [record_status_type] NOT NULL ,
	[company_id] [int] NOT NULL ,
	CONSTRAINT [PK_schedule] PRIMARY KEY  CLUSTERED 
	(
		[schedule_id]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[security_privileges] (
	[security_code] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[description] [description_type] NOT NULL ,
	[company_id] [int] NULL ,
	CONSTRAINT [PK_security_privileges] PRIMARY KEY  CLUSTERED 
	(
		[security_code]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO





CREATE TABLE [dbo].[transaction_types] (
	[trans_type_no] [int] NOT NULL ,
	[trans_description] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[transfer_field_mapping] (
	[id] [int] IDENTITY (1, 1) NOT NULL ,
	[map_id] [int] NOT NULL ,
	[table_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[field_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NULL ,
	[record_status] [record_status_type] NOT NULL ,
	[company_id] [int] NULL ,
	CONSTRAINT [PK_transfer_field_mapping] PRIMARY KEY  CLUSTERED 
	(
		[id]
	)  ON [PRIMARY] ,
	CONSTRAINT [FK_transfer_field_mapping_transfer_map] FOREIGN KEY 
	(
		[map_id]
	) REFERENCES [dbo].[transfer_map] (
		[map_id]
	)
) ON [PRIMARY]
GO


CREATE TABLE [dbo].[ui_settings] (
	[user_id] [int] NOT NULL ,
	[setting_name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[setting_type] [varchar] (20) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[setting_value] [image] NULL ,
	CONSTRAINT [PK_ui_settings] PRIMARY KEY  CLUSTERED 
	(
		[user_id],
		[setting_name],
		[setting_type]
	)  ON [PRIMARY] 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO







CREATE TABLE [dbo].[users_mobile] (
	[user_id] [int] NULL ,
	[type] [varchar] (20) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[name] [varchar] (50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	CONSTRAINT [PK_users_mobile] PRIMARY KEY  CLUSTERED 
	(
		[type],
		[name]
	)  ON [PRIMARY] 
) ON [PRIMARY]
GO


SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[trAssetOrdersDateUpdated]') and OBJECTPROPERTY(id, N'IsTrigger') = 1)
drop trigger [dbo].[trAssetOrdersDateUpdated]
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[asset_orders]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[asset_orders]
GO

CREATE TABLE [dbo].[asset_orders] (
	[asset_order] [int] NULL ,
	[asset_id] [int] NULL ,
	[asset_level] [int] NULL ,
	[root_id] [int] NULL ,
	[parent_id] [int] NULL ,
	[user_id] [int] NULL ,
	[date_updated] [datetime] NULL 
) ON [PRIMARY]
GO



SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

CREATE TRIGGER trAssetOrdersDateUpdated ON dbo.asset_orders
FOR INSERT, UPDATE 
AS
	update asset_orders set date_updated = getdate() where asset_id in (select asset_id from inserted)


SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO



CREATE TABLE [dbo].[users](
	[user_id] [int] IDENTITY(1,1) NOT NULL,
	[last_name] [varchar](50) NULL,
	[first_name] [varchar](50) NULL,
	[title] [varchar](50) NULL,
	[department] [varchar](20) NULL,
	[manager] [varchar](50) NULL,
	[user_logon] [varchar](20) NULL,
	[user_password] [wtpassword] NULL,
	[changed_password] [wtbool] NULL CONSTRAINT [DF_users_changed_password]  DEFAULT ('F'),
	[record_status] [record_status_type] NOT NULL,
	[company_id] [int] NULL,
	[date_updated] [datetime] NULL,
	[email] [varchar](250) NULL,
	[group_id] [int] NOT NULL,
 CONSTRAINT [PK_USER_UD] PRIMARY KEY CLUSTERED 
(
	[user_id] ASC
) ON [PRIMARY]
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[user_site](
	[id] [int] IDENTITY(1000,1) NOT NULL,
	[user_id] [int] NOT NULL,
	[site_id] [int] NOT NULL,
	CONSTRAINT [PK_ID] PRIMARY KEY CLUSTERED 
(
	[id] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO

IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[user_groups]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	CREATE TABLE [dbo].[user_groups](
		[group_id] [int] IDENTITY(1,1) NOT NULL,
		[group_name] [nvarchar](50) NOT NULL,
		[group_description] [nvarchar](500) NULL,
		[record_status] [record_status_type] NOT NULL,
		[company_id] [int] NOT NULL,
	 CONSTRAINT [PK_user_group] PRIMARY KEY CLUSTERED 
	(
		[group_id] ASC
	) ON [PRIMARY]
	) ON [PRIMARY]
END
GO

ALTER TABLE [dbo].[users]  WITH CHECK ADD  CONSTRAINT [FK_users_groups] FOREIGN KEY([group_id])
REFERENCES [dbo].[user_groups] ([group_id])
GO
ALTER TABLE [dbo].[users] CHECK CONSTRAINT [FK_users_groups]

ALTER TABLE [dbo].[user_site]  WITH CHECK ADD  CONSTRAINT [FK_user_site_sites] FOREIGN KEY([site_id])
REFERENCES [dbo].[sites] ([site_id])
GO
ALTER TABLE [dbo].[user_site] CHECK CONSTRAINT [FK_user_site_sites]
GO
ALTER TABLE [dbo].[user_site]  WITH CHECK ADD  CONSTRAINT [FK_user_site_users] FOREIGN KEY([user_id])
REFERENCES [dbo].[users] ([user_id])
GO
ALTER TABLE [dbo].[user_site] CHECK CONSTRAINT [FK_user_site_users]
GO

IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[user_group_privileges]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	CREATE TABLE [dbo].[user_group_privileges] (
		[group_id] [int] NOT NULL ,
		[security_code] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
		[record_status] [record_status_type] NOT NULL ,
		[company_id] [int] NOT NULL,
		CONSTRAINT [PK_group_privileges] PRIMARY KEY  CLUSTERED 
		(
			[group_id],
			[security_code]
		)  ON [PRIMARY] ,
		CONSTRAINT [FK_group_privileges_group] FOREIGN KEY 
		(
			[group_id]
		) REFERENCES [dbo].[user_groups] (
			[group_id]
		),
		CONSTRAINT [FK_group_privileges_security_privileges] FOREIGN KEY 
		(
			[security_code]
		) REFERENCES [dbo].[security_privileges] (
			[security_code]
		)
	) ON [PRIMARY]
END
GO


IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[user_group_sites]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN

	CREATE TABLE [dbo].[user_group_sites](
		[id] [int] IDENTITY(1000,1) NOT NULL,
		[group_id] [int] NOT NULL,
		[site_id] [int] NOT NULL,
	 CONSTRAINT [PK_GSID] PRIMARY KEY CLUSTERED 
	(
		[id] ASC
	) ON [PRIMARY]
	) ON [PRIMARY]

	ALTER TABLE [dbo].[user_group_sites]  WITH CHECK ADD  CONSTRAINT [FK_user_group_sites_groups] FOREIGN KEY([group_id])
	REFERENCES [dbo].[user_groups] ([group_id])

	ALTER TABLE [dbo].[user_group_sites] CHECK CONSTRAINT [FK_user_group_sites_groups]

	ALTER TABLE [dbo].[user_group_sites]  WITH CHECK ADD  CONSTRAINT [FK_user_group_sites_sites] FOREIGN KEY([site_id])
	REFERENCES [dbo].[sites] ([site_id])

	ALTER TABLE [dbo].[user_group_sites] CHECK CONSTRAINT [FK_user_group_sites_sites]

END
GO



CREATE TABLE [dbo].[user_privileges] (
	[user_id] [int] NOT NULL ,
	[security_code] [varchar] (30) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL ,
	[record_status] [record_status_type] NOT NULL ,
	CONSTRAINT [PK_employee_privileges] PRIMARY KEY  CLUSTERED 
	(
		[user_id],
		[security_code]
	)  ON [PRIMARY] ,
	CONSTRAINT [FK_employee_privileges_employee] FOREIGN KEY 
	(
		[user_id]
	) REFERENCES [dbo].[users] (
		[user_id]
	),
	CONSTRAINT [FK_employee_privileges_security_privileges] FOREIGN KEY 
	(
		[security_code]
	) REFERENCES [dbo].[security_privileges] (
		[security_code]
	)
) ON [PRIMARY]
GO



IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[mobile_data_unprocessed_history]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	CREATE TABLE [dbo].[mobile_data_unprocessed_history](
		[id] [int] NOT NULL,
		[device_type] [varchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
		[device_name] [varchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
		[data_type] [varchar](50) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
		[mobile_data] [varchar](1000) COLLATE SQL_Latin1_General_CP1_CI_AS NOT NULL,
		[data_error] [varchar](255) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
		[transaction_time] [datetime] NULL,
		[upload_time] [datetime] NOT NULL,
		[company_id] [int] NOT NULL,
		[record_status] [record_status_type] NOT NULL CONSTRAINT [DF_mobile_data_unprocessed_history_record_status]  DEFAULT (1),
	 CONSTRAINT [PK_mobile_data_unprocessed_history] PRIMARY KEY CLUSTERED 
	(
		[id] ASC
	) ON [PRIMARY]
	) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[asset_transactions_history]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	CREATE TABLE [dbo].[asset_transactions_history](
		[transaction_id] [int] NOT NULL,
		[trans_type] [int] NOT NULL,
		[asset_id] [int] NOT NULL,
		[location_id] [int] NOT NULL,
		[other_location_id] [int] NULL,
		[user_id] [int] NOT NULL,
		[department_id] [int] NOT NULL CONSTRAINT [DF_asset_transactions_history_department_id]  DEFAULT (0),
		[reason_id] [int] NULL,
		[action_type] [int] NULL,
		[entry_date] [datetime] NULL,
		[trans_date] [datetime] NULL,
		[date_acquired] [datetime] NULL,
		[maint_date] [datetime] NULL,
		[maint_complete] [wtbool] NULL,
		[condition_id] [int] NULL CONSTRAINT [DF_asset_transactions_history_condition_id]  DEFAULT (0),
		[cost] [decimal](18, 0) NULL,
		[customer_id] [int] NULL,
		[employee_id] [int] NULL,
		[supplier_id] [int] NULL,
		[serial_number] [varchar](25) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
		[record_status] [record_status_type] NOT NULL,
		[record_source] [varchar](100) COLLATE SQL_Latin1_General_CP1_CI_AS NULL,
		[company_id] [int] NOT NULL,
	 CONSTRAINT [PK_asset_transactions_history] PRIMARY KEY CLUSTERED 
	(
		[transaction_id] ASC
	) ON [PRIMARY]
	) ON [PRIMARY]
END
GO



/****** Object:  Table [dbo].[filter]    Script Date: 08/09/2009 17:08:09 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[dbo].[filter]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN

CREATE TABLE [dbo].[filter](
	[filter_id] [int] IDENTITY(1,1) NOT NULL,
	[calling_form_id] [int] NOT NULL,
	[filter_name] [nvarchar](255) NOT NULL,
	[filter_desc] [nvarchar](1000) NULL,
	[is_default] [wtbool] NOT NULL,
	[is_global] [wtbool] NOT NULL,
	[user_id] [int] NOT NULL,
	[record_status] [record_status_type] NOT NULL,
	[company_id] [int] NOT NULL,
	[date_updated] [datetime] NULL
) ON [PRIMARY]

END
GO


GO
SET ANSI_PADDING OFF

/****** Object:  Table [dbo].[filter_details]    Script Date: 08/09/2009 17:09:34 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[filter_details](
	[rec_id] [int] IDENTITY(1,1) NOT NULL,
	[filter_id] [int] NOT NULL,
	[form_id] [int] NOT NULL,
	[user_id] [int] NOT NULL,
	[company_id] [int] NOT NULL,
	[selected_form_id] [int] NULL,
	[field_id] [int] NULL,
	[device_name] [varchar](255) NULL,
	[field_value] [varchar](255) NULL,
	[filter] [varchar](6800) NULL,
	[whole_word_flag] [wtbool] NULL,
	[advanced_flag] [wtbool] NOT NULL CONSTRAINT [DF_filter_details_advanced_flag]  DEFAULT ('F'),
	[find_all_flag] [wtbool] NULL,
 CONSTRAINT [PK_filter_details] PRIMARY KEY CLUSTERED 
(
	[rec_id] ASC
) ON [PRIMARY]
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[filter_grid_settings](
	[filter_id] [int] NULL,
	[form_id] [int] NULL,
	[col_name] [nvarchar](50) NOT NULL,
	[col_order] [int] NOT NULL,
	[sort_order] [nvarchar](50) NULL,
	[width] [decimal](18, 0) NOT NULL,
	[visible] [wtbool] NOT NULL,
	[group_level] [int] NULL,
	[user_id] [int] NOT NULL,
	[company_id] [int] NOT NULL,
	[record_status] [record_status_type] NOT NULL
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF

SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[filter_form_settings](
	[filter_id] [int] NULL,
	[form_id] [int] NULL,
	[xpos] [int] NOT NULL CONSTRAINT [DF_filter_form_settings_top_pos]  DEFAULT (0),
	[ypos] [int] NOT NULL CONSTRAINT [DF_filter_form_settings_left_pos]  DEFAULT (0),
	[width] [decimal](18, 0) NOT NULL,
	[heigth] [decimal](18, 0) NOT NULL,
	[user_id] [int] NOT NULL,
	[company_id] [int] NOT NULL,
	[record_status] [record_status_type] NOT NULL
) ON [PRIMARY]

GO
SET ANSI_PADDING OFF




/****** Object:  Table [dbo].[request_urgency]    Script Date: 04/20/2010 11:20:14 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[request_urgency](
	[urgency_id] [int] NOT NULL,
	[urgency_text] [nvarchar](50) NOT NULL,
	[record_status] [record_status_type] NOT NULL,
	[company_id] [int] NOT NULL,
 CONSTRAINT [PK_request_urgency] PRIMARY KEY CLUSTERED 
(
	[urgency_id] ASC
)WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]

GO



/****** Object:  Table [dbo].[request_status]    Script Date: 04/20/2010 11:21:58 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[request_status](
	[request_status_id] [int] NOT NULL,
	[request_status_text] [nvarchar](50) NOT NULL,
	[record_status] [record_status_type] NOT NULL,
	[company_id] [int] NOT NULL,
 CONSTRAINT [PK_request_status] PRIMARY KEY CLUSTERED 
(
	[request_status_id] ASC
)WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]

GO


/****** Object:  Table [dbo].[reservation]    Script Date: 07/11/2010 07:15:48 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[reservation](
	[reservation_id] [int] IDENTITY(1,1) NOT NULL,
	[reservation_number] [nvarchar](50) NOT NULL,
	[reference_number] [nvarchar](100) NULL,
	[customer_id] [int] NOT NULL CONSTRAINT [DF_reservation_customer_id]  DEFAULT ((0)),
	[employee_id] [int] NOT NULL CONSTRAINT [DF_reservation_employee_id]  DEFAULT ((0)),
	[urgency_id] [int] NOT NULL,
	[approver_id] [int] NOT NULL,
	[request_status_id] [int] NOT NULL,
	[user_id] [int] NOT NULL,
	[record_status] [record_status_type] NOT NULL,
	[company_id] [int] NOT NULL,
	[notify_reservedby] [wtbool] NULL,
	[notify_reservedfor] [wtbool] NULL,
	[last_updated] [datetime] NULL,
 CONSTRAINT [PK_reservation] PRIMARY KEY CLUSTERED 
(
	[reservation_id] ASC
)WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO

--ALTER TABLE [dbo].[reservation] ADD  CONSTRAINT [DF_reservation_customer_id]  DEFAULT (0) FOR [customer_id]
--GO

--ALTER TABLE [dbo].[reservation] ADD  CONSTRAINT [DF_reservation_employee_id]  DEFAULT (0) FOR [employee_id]
--GO



CREATE TRIGGER [dbo].[trReservationDateUpdated] ON [dbo].[Reservation]
FOR INSERT, UPDATE 
AS
	update [reservation] set last_updated = getdate() WHERE reservation_id in (select reservation_id FROM inserted)
GO



/****** Object:  Table [dbo].[reservation_approval_history]    Script Date: 07/11/2010 05:10:31 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[reservation_approval_history](
	[transaction_id] [int] IDENTITY(1,1) NOT NULL,
	[reservation_id] [int] NOT NULL,
	[by_user_id] [int] NOT NULL,
	[comment] [nvarchar](1000) NOT NULL CONSTRAINT [DF_reservation_approval_history_comment]  DEFAULT (''),
	[action_type] [nchar](1) NOT NULL CONSTRAINT [DF_reservation_approval_history_action_type]  DEFAULT ('A'),
	[next_approver_id] [int] NOT NULL,
	[action_date] [datetime] NOT NULL,
	[company_id] [int] NOT NULL
) ON [PRIMARY]


GO
--EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'A for approval, R for rejection' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'reservation_approval_history', @level2type=N'COLUMN',@level2name=N'action_type'


/****** Object:  Table [dbo].[reservation_details]    Script Date: 04/20/2010 11:31:37 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[reservation_details](
	[detail_id] [int] IDENTITY(1,1) NOT NULL,
	[reservation_id] [int] NOT NULL,
	[asset_id] [int] NOT NULL,
	[asset_type_id] [int] NOT NULL,
	[quantity] [decimal](18, 0) NOT NULL,
	[reservation_start] [datetime] NOT NULL,
	[reservation_end] [datetime] NOT NULL,
	[relating_detail_id] [int] NOT NULL,
	[line_status_id] [int] NOT NULL,
	[user_id] [int] NOT NULL,
	[record_status] [record_status_type] NOT NULL,
	[company_id] [int] NOT NULL,
	[last_updated] [datetime] NOT NULL
) ON [PRIMARY]

GO

ALTER TABLE [dbo].[reservation_details] ADD  CONSTRAINT [DF_reservation_detail_quantity]  DEFAULT (1) FOR [quantity]
ALTER TABLE [dbo].[reservation_details] ADD  CONSTRAINT [DF_reservation_detail_line_status_id]  DEFAULT (1) FOR [line_status_id]

GO


/****** Object:  Table [dbo].[schedule_asset_availability]    Script Date: 04/22/2010 13:26:52 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[schedule_asset_availability](
	[rec_id] [int] IDENTITY(1,1) NOT NULL,
	[asset_id] [int] NOT NULL,
	[start_date] [datetime] NOT NULL,
	[end_date] [datetime] NOT NULL,
	[na_reason_id] [int] NOT NULL,
	[user_id] [int] NOT NULL,
	[detail_id] [int] NOT NULL,
	[employee_id] [int] NOT NULL,
	[customer_id] [int] NOT NULL,
	[record_status] [record_status_type] NOT NULL,
	[company_id] [int] NOT NULL
) ON [PRIMARY]

GO


/****** Object:  Table [dbo].[not_avail_reason]    Script Date: 04/22/2010 13:39:02 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[not_avail_reason](
	[na_reason_id] [int] NOT NULL,
	[na_reason_text] [nvarchar](50) NOT NULL,
	[record_status] [record_status_type] NOT NULL,
	[company_id] [int] NOT NULL
) ON [PRIMARY]

GO


/****** Object:  Table [dbo].[custom_values]    Script Date: 06/03/2010 23:00:43 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[custom_values](
	[form_id] [int] NOT NULL,
	[custom_field] [varchar](30) NOT NULL,
	[value] [varchar](100) NOT NULL,
	[default] [wtbool] NULL,
	[order] [int] NULL,
	[record_status] [record_status_type] NOT NULL,
	[company_id] [int] NOT NULL,
 CONSTRAINT [PK_custom_values] PRIMARY KEY CLUSTERED 
(
	[form_id] ASC,
	[custom_field] ASC,
	[value] ASC
)WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]

GO


