
USE [master]


PRINT ''
PRINT ''
PRINT '**************************************'
PRINT 'Setup DB Option to Truncate log       '
PRINT '**************************************'
PRINT ''


EXEC sp_dboption 'WaspTrackAsset', 'trunc. log on chkpt.', 'true'
go

DBCC SHRINKDATABASE (WaspTrackAsset)
Go




USE [WaspTrackAsset]
GO



PRINT ''
PRINT ''
PRINT '******************************************************************'
PRINT 'Try to figure out if the database is installed on waspdbxxx       '
PRINT '******************************************************************'
PRINT ''

DECLARE @nInstanceName nchar(255)
DECLARE @nIndex int
DECLARE @nWaspInstance int

select @nInstanceName = @@servername 

print @nInstanceName

SELECT @nIndex = CHARINDEX('waspdb', @@servername )
if (@nIndex > 0) 
begin
	SET @nInstanceName = SUBSTRING (@nInstanceName, @nIndex, LEN(@nInstanceName) - @nIndex + 1)
	SET @nWaspInstance = 1
	PRINT 'Yes, Wasp instance'
end
else
begin
	PRINT 'No, NOT wasp instance'
	SET @nWaspInstance = 0
	print @nInstanceName
end





PRINT ''
PRINT ''
PRINT '**************************************'
PRINT 'Create AssetUser, AssetReader Accounts'
PRINT '**************************************'
PRINT ''

if  EXISTS (SELECT * FROM dbo.sysusers WHERE NAME = N'AssetUser' and uid < 16382)
	exec sp_dropuser N'AssetUser'


if NOT EXISTS (SELECT * FROM master.dbo.syslogins WHERE loginname = N'AssetUser')
BEGIN
	declare @logindb nvarchar(132), @loginlang nvarchar(132) select @logindb = N'master', @loginlang = N'us_english'
	if @logindb is null or NOT EXISTS (SELECT * FROM master.dbo.sysdatabases WHERE NAME = @logindb)
		select @logindb = N'master'
	if @loginlang is null or (NOT EXISTS (SELECT * FROM master.dbo.syslanguages WHERE NAME = @loginlang) and @loginlang <> N'us_english')
		select @loginlang = @@language
	exec sp_addlogin N'AssetUser', Serial#1, @logindb, @loginlang
END


if NOT EXISTS (SELECT * FROM dbo.sysusers WHERE NAME = N'AssetUser' and uid < 16382)
BEGIN
	EXEC sp_grantdbaccess N'AssetUser', N'AssetUser'

	if (@nWaspInstance > 0)
	BEGIN
		exec sp_addrolemember N'db_backupoperator', N'AssetUser'
	END

	exec sp_addrolemember N'db_datareader', N'AssetUser'

	exec sp_addrolemember N'db_datawriter', N'AssetUser'

	EXEC sp_addsrvrolemember N'AssetUser', 'dbcreator'
END	
GO

if  EXISTS (SELECT * FROM dbo.sysusers WHERE NAME = N'AssetReader' and uid < 16382)
	exec sp_dropuser N'AssetReader'
GO

if NOT EXISTS (SELECT * FROM master.dbo.syslogins WHERE loginname = N'AssetReader')
BEGIN
	declare @logindb nvarchar(132), @loginlang nvarchar(132) select @logindb = N'master', @loginlang = N'us_english'
	if @logindb is null or NOT EXISTS (SELECT * FROM master.dbo.sysdatabases WHERE NAME = @logindb)
		select @logindb = N'master'
	if @loginlang is null or (NOT EXISTS (SELECT * FROM master.dbo.syslanguages WHERE NAME = @loginlang) and @loginlang <> N'us_english')
		select @loginlang = @@language
	exec sp_addlogin N'AssetReader', ReadOnly@1, @logindb, @loginlang
END
GO

if NOT EXISTS (SELECT * FROM dbo.sysusers WHERE NAME = N'AssetReader' and uid < 16382)
BEGIN
	EXEC sp_grantdbaccess N'AssetReader', N'AssetReader'

	exec sp_addrolemember N'db_datareader', N'AssetReader'
END
GO


DECLARE @spname varchar(255)
DECLARE @sql varchar(255)

DECLARE SPnames CURSOR FOR
select distinct so.[Name]
FROM sysobjects so
WHERE so.[Type] = 'P' and so.[Name] like 'Sp%'

OPEN SPnames

 
WHILE 1=1
begin
   	FETCH SPnames INTO @spname 
	if (@@FETCH_STATUS <> 0) break
	select @sql = 'grant EXECUTE ON [dbo].[' + @spname +']  TO [AssetReader]'
	exec(@sql)
	PRINT @sql

	select @sql = 'grant EXECUTE ON [dbo].[' + @spname +']  TO [AssetUser]'
	exec(@sql)
	PRINT @sql
end

CLOSE SPnames
DEALLOCATE SPnames
GO




USE [WaspConfig]
GO


PRINT ''
PRINT ''
PRINT '******************************************************************'
PRINT 'Try to figure out if the database is installed on waspdbxxx       '
PRINT '******************************************************************'
PRINT ''

DECLARE @nInstanceName nchar(255)
DECLARE @nIndex int
DECLARE @nWaspInstance int

select @nInstanceName = @@servername 

print @nInstanceName

SELECT @nIndex = CHARINDEX('waspdb', @@servername )
if (@nIndex > 0) 
begin
	SET @nInstanceName = SUBSTRING (@nInstanceName, @nIndex, LEN(@nInstanceName) - @nIndex + 1)
	SET @nWaspInstance = 1
	PRINT 'Yes, Wasp instance'
end
else
begin
	PRINT 'No, NOT wasp instance'
	SET @nWaspInstance = 0
	print @nInstanceName
end



PRINT ''
PRINT ''
PRINT '**************************************'
PRINT 'Create AssetUser, AssetReader Accounts'
PRINT '**************************************'
PRINT ''

if  EXISTS (SELECT * FROM dbo.sysusers WHERE NAME = N'AssetUser' and uid < 16382)
	exec sp_dropuser N'AssetUser'


if NOT EXISTS (SELECT * FROM master.dbo.syslogins WHERE loginname = N'AssetUser')
BEGIN
	declare @logindb nvarchar(132), @loginlang nvarchar(132) select @logindb = N'master', @loginlang = N'us_english'
	if @logindb is null or NOT EXISTS (SELECT * FROM master.dbo.sysdatabases WHERE NAME = @logindb)
		select @logindb = N'master'
	if @loginlang is null or (NOT EXISTS (SELECT * FROM master.dbo.syslanguages WHERE NAME = @loginlang) and @loginlang <> N'us_english')
		select @loginlang = @@language
	exec sp_addlogin N'AssetUser', Serial#1, @logindb, @loginlang
END


if NOT EXISTS (SELECT * FROM dbo.sysusers WHERE NAME = N'AssetUser' and uid < 16382)
BEGIN
	EXEC sp_grantdbaccess N'AssetUser', N'AssetUser'

	if (@nWaspInstance > 0)
	BEGIN
		exec sp_addrolemember N'db_backupoperator', N'AssetUser'
	END

	exec sp_addrolemember N'db_datareader', N'AssetUser'

	exec sp_addrolemember N'db_datawriter', N'AssetUser'

	EXEC sp_addsrvrolemember N'AssetUser', 'dbcreator'
END	
GO

if  EXISTS (SELECT * FROM dbo.sysusers WHERE NAME = N'AssetReader' and uid < 16382)
	exec sp_dropuser N'AssetReader'
GO

if NOT EXISTS (SELECT * FROM master.dbo.syslogins WHERE loginname = N'AssetReader')
BEGIN
	declare @logindb nvarchar(132), @loginlang nvarchar(132) select @logindb = N'master', @loginlang = N'us_english'
	if @logindb is null or NOT EXISTS (SELECT * FROM master.dbo.sysdatabases WHERE NAME = @logindb)
		select @logindb = N'master'
	if @loginlang is null or (NOT EXISTS (SELECT * FROM master.dbo.syslanguages WHERE NAME = @loginlang) and @loginlang <> N'us_english')
		select @loginlang = @@language
	exec sp_addlogin N'AssetReader', ReadOnly@1, @logindb, @loginlang
END
GO

if NOT EXISTS (SELECT * FROM dbo.sysusers WHERE NAME = N'AssetReader' and uid < 16382)
BEGIN
	EXEC sp_grantdbaccess N'AssetReader', N'AssetReader'

	exec sp_addrolemember N'db_datareader', N'AssetReader'
END
GO


DECLARE @spname varchar(255)
DECLARE @sql varchar(255)

DECLARE SPnames CURSOR FOR
select distinct so.[Name]
FROM sysobjects so
WHERE so.[Type] = 'P' and so.[Name] like 'Sp%'

OPEN SPnames

 
WHILE 1=1
begin
   	FETCH SPnames INTO @spname 
	if (@@FETCH_STATUS <> 0) break
	select @sql = 'grant EXECUTE ON [dbo].[' + @spname +']  TO [AssetReader]'
	exec(@sql)
	PRINT @sql

	select @sql = 'grant EXECUTE ON [dbo].[' + @spname +']  TO [AssetUser]'
	exec(@sql)
	PRINT @sql
end

CLOSE SPnames
DEALLOCATE SPnames
GO


-- **********************************************
-- Call the function to fix up orphaned users just in case
print '----------Fixing Up Orphans'
go
sp_change_users_login 'Update_One', 'AssetUser', 'AssetUser'
go
sp_change_users_login 'Update_One', 'AssetReader', 'AssetReader'
go




-- **********************************************
-- This script refreshes all the views. Always run this after all database changes to views have been made
DECLARE @viewname varchar(255)
DECLARE @sql varchar(255)

DECLARE viewnames CURSOR FOR
select distinct so.[Name]
from sysobjects so
where so.[Type] = 'V' and so.[Name] like 'v%'

OPEN viewnames

print  '----------Refreshing Views' 

WHILE 1=1
begin
            FETCH viewnames INTO @viewname 
            if (@@FETCH_STATUS <> 0) break
            select @sql = 'sp_refreshview '+@viewname
			print @viewname
            exec(@sql)    
end

print '----------Completed Refreshing Views'

CLOSE viewnames
DEALLOCATE viewnames
GO
-- End Refresh Views
